﻿Type=StaticCode
Version=6.31
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Code module
'CodConverter v1.0
Sub Process_Globals
	Dim JSONGen As JSONGenerator
	Dim JSONPrs As JSONParser
	Dim Converter As ByteConverter
	Dim Compress As CompressedStreams

	Dim ENCODING As String = "UTF-8"
	Dim COMPRESSION_METHOD As String = "zlib"
End Sub

Sub DataMapToBytes(GameData As Map) As Byte()
	'If you have the DATA_COLLECTION library, you should replace this function by:
	'Dim DCS As dcCollectionSerializer
	'Return DCS.MapToCompressedBytes(GameData)

	'Converts the given map to a JSON string
	JSONGen.Initialize(GameData)
	If Main.Debug Then Log("JSON=" & JSONGen.ToPrettyString(3))

	'Converts the JSON string to an array of bytes
	Dim Data() As Byte = Converter.StringToBytes(JSONGen.ToString, ENCODING)
	If Main.Debug Then Log("Uncompressed data=" & Data.Length & " bytes")

	'Compresses the array and returns the result
	Dim Compressed() As Byte = Compress.CompressBytes(Data, COMPRESSION_METHOD)
	If Main.Debug Then Log("Compressed data=" & Compressed.Length & " bytes")
	Return Compressed
End Sub

Sub BytesToDataMap(CompressedData() As Byte) As Map
	'If you have the DATA_COLLECTION library, you should replace this function by:
	'Dim DCS As dcCollectionSerializer
	'Return DCS.CompressedBytesToMap(CompressedData)

	'Uncompresses the given array of bytes
	If Main.Debug Then Log("Compressed data=" & CompressedData.Length & " bytes")
	Dim Data() As Byte = Compress.DecompressBytes(CompressedData, COMPRESSION_METHOD)
	If Main.Debug Then Log("Uncompressed data=" & Data.Length & " bytes")

	'Converts the array to a JSON string
	Dim strJSON As String = Converter.StringFromBytes(Data, ENCODING)
	If Main.Debug Then Log("JSON=" & strJSON)

	'Converts the JSON string to a map and returns it
	JSONPrs.Initialize(strJSON)
	Return JSONPrs.NextObject
End Sub
