package flm.b4a.googleplay;

import anywheresoftware.b4a.BA.ShortName;

import com.google.android.gms.games.multiplayer.turnbased.LoadMatchesResponse;

@ShortName("GPlayLoadMatchesResponse")
public class LoadMatchesResponseWrapper
{
	protected LoadMatchesResponse _LMR;

	public LoadMatchesResponseWrapper(LoadMatchesResponse LMR)
	{
		_LMR = LMR;
	}

	public boolean IsInitialized()
	{
		return _LMR != null;
	}

	/**
	 * Gets the completed matches returned from this request. Note that if the original request did not include MATCH_TURN_STATUS_COMPLETE, this function will return Null.
	 */
	public TurnBasedMatchWrapper[] getCompletedMatches()
	{
		return Utils.FromBufferToArray_TurnBasedMatch(_LMR.getCompletedMatches());
	}

	/**
	 * Gets the invitations returned from this request. Note that if the original request did not include MATCH_TURN_STATUS_INVITED, this function will return Null.
	 */
	public InvitationWrapper[] getInvitations()
	{
		return Utils.FromBufferToArray_Invitation(_LMR.getInvitations());
	}

	/**
	 * Gets the "my turn" matches returned from this request. Note that if the original request did not include MATCH_TURN_STATUS_MY_TURN, this function will return Null.
	 */
	public TurnBasedMatchWrapper[] getMyTurnMatches()
	{
		return Utils.FromBufferToArray_TurnBasedMatch(_LMR.getMyTurnMatches());
	}

	/**
	 * Gets the "their turn" matches returned from this request. Note that if the original request did not include MATCH_TURN_STATUS_THEIR_TURN, this function will return Null.
	 */
	public TurnBasedMatchWrapper[] getTheirTurnMatches()
	{
		return Utils.FromBufferToArray_TurnBasedMatch(_LMR.getTheirTurnMatches());
	}

	/** Returns whether or not this response contains any non-empty buffers. */
	public boolean HasData()
	{
		return _LMR.hasData();
	}

	/** Releases all the buffers stored in this response. Call this function only when you no longer need the data of this response. */
	public void Close()
	{
		_LMR.release();
	}
}
