package flm.b4a.googleplay;

import com.google.android.gms.games.Games;
import com.google.android.gms.games.Notifications;
import anywheresoftware.b4a.BA;

@BA.ShortName("GPlayNotifications")
public class NotificationsWrapper
{
	protected Notifications _Notif;

	public NotificationsWrapper()
	{
		_Notif = null;
	}

	public void Initialize()
	{
		_Notif = Games.Notifications;
	}

	public boolean IsInitialized()
	{
		return _Notif != null;
	}

	public final static int NOTIFICATION_TYPE_INVITATION = Notifications.NOTIFICATION_TYPE_INVITATION;
	public final static int NOTIFICATION_TYPE_LEVEL_UP = Notifications.NOTIFICATION_TYPE_LEVEL_UP;
	public final static int NOTIFICATION_TYPE_MATCH_UPDATE = Notifications.NOTIFICATION_TYPE_MATCH_UPDATE;
	public final static int NOTIFICATION_TYPE_QUEST = Notifications.NOTIFICATION_TYPE_QUEST;
	public final static int NOTIFICATION_TYPE_REQUEST = Notifications.NOTIFICATION_TYPE_REQUEST;
	public final static int NOTIFICATION_TYPES_ALL = Notifications.NOTIFICATION_TYPES_ALL;
	public final static int NOTIFICATION_TYPES_MULTIPLAYER = Notifications.NOTIFICATION_TYPES_MULTIPLAYER;

	/**
	 * Clears all notifications for the current game and signed-in player.
	 */
	public void ClearAll()
	{
		if (GooglePlayConnection.DEBUG) BA.Log("Notifications.ClearAll");
		_Notif.clearAll(GooglePlayConnection.getAPIclient());
	}

	/**
	 * Clears the notifications of the specified type for the current game and signed-in player. This should be a mask comprised of values from the NOTIFICATION constants.
	 */
	public void Clear(int NotificationTypes)
	{
		if (GooglePlayConnection.DEBUG) BA.Log("Notifications.Clear: " + NotificationTypes);
		_Notif.clear(GooglePlayConnection.getAPIclient(), NotificationTypes);
	}
}
