package flm.b4a.googleplay;

import anywheresoftware.b4a.BA.ShortName;

import com.google.android.gms.games.multiplayer.ParticipantResult;

@ShortName("GPlayParticipantResult")
public class ParticipantResultWrapper
{
	protected ParticipantResult _pResult;

	public ParticipantResultWrapper()
	{
		_pResult = null;
	}

	public ParticipantResultWrapper(ParticipantResult pResult)
	{
		_pResult = pResult;
	}

	public final static int MATCH_RESULT_DISAGREED = ParticipantResult.MATCH_RESULT_DISAGREED;
	public final static int MATCH_RESULT_DISCONNECT = ParticipantResult.MATCH_RESULT_DISCONNECT;
	public final static int MATCH_RESULT_LOSS = ParticipantResult.MATCH_RESULT_LOSS;
	public final static int MATCH_RESULT_NONE = ParticipantResult.MATCH_RESULT_NONE;
	public final static int MATCH_RESULT_TIE = ParticipantResult.MATCH_RESULT_TIE;
	public final static int MATCH_RESULT_UNINITIALIZED = ParticipantResult.MATCH_RESULT_UNINITIALIZED;
	public final static int MATCH_RESULT_WIN = ParticipantResult.MATCH_RESULT_WIN;
	public final static int PLACING_UNINITIALIZED = ParticipantResult.PLACING_UNINITIALIZED;

	/** Creates a ParticipantResult object.
	 * @param ParticipantId The ID of the participant this result is for.
	 * @param Result The result type for this participant in the match (one of the MATCH_RESULT constants).
	 * @param Placing The placing of this participant in the match. Use PLACING_UNINITIALIZED to indicate that no placing should be reported.
	 */
	public void Initialize(String ParticipantId, int Result, int Placing)
	{
		_pResult = new ParticipantResult(ParticipantId, Result, Placing);
	}

	public boolean IsInitialized()
	{
		return _pResult != null;
	}

	/**
	 * Returns the ID of the participant this result is for.
	 */
	public String getParticipantId()
	{
		return Utils.StringOrEmpty(_pResult.getParticipantId());
	}

	/**
	 * Returns the placing of this participant in the match. PLACING_UNINITIALIZED means that this result has no placing value to report.
	 */
	public int getPlacing()
	{
		return _pResult.getPlacing();
	}

	/**
	 * Returns the result type for this participant in the match (one of the MATCH_RESULT constants). 
	 */
	public int getResult()
	{
		return _pResult.getResult();
	}
}
