package flm.b4a.googleplay;

import com.google.android.gms.games.PlayerLevelInfo;

import anywheresoftware.b4a.BA.ShortName;

@ShortName("GPlayPlayerLevelInfo")
public class PlayerLevelInfoWrapper
{
	protected PlayerLevelInfo _PLI = null;

	public PlayerLevelInfoWrapper(PlayerLevelInfo lvlInfo)
	{
		_PLI = lvlInfo;
	}

	public boolean IsInitialized()
	{
		return _PLI != null;
	}

	public boolean Equals(Object obj)
	{
		return _PLI.equals(obj);
	}

	/** Gets the player's current level object. This object will be the same as the one returned from NextLevel if the player reached the maximum level. */
	public PlayerLevelWrapper getCurrentLevel()
	{
		return Utils.PlayerLevelWrapperOrNull(_PLI.getCurrentLevel());
	}

	/** Returns the player's current XP value. */
	public long getCurrentXpTotal()
	{
		return _PLI.getCurrentXpTotal();
	}

	/** Returns the timestamp of the player's last level-up. */
	public long getLastLevelUpTimestamp()
	{
		return _PLI.getLastLevelUpTimestamp();
	}

	/** Gets the player's next level object. This object will be the same as the one returned from CurrentLevel if the player reached the maximum level. */
	public PlayerLevelWrapper getNextLevel()
	{
		return Utils.PlayerLevelWrapperOrNull(_PLI.getNextLevel());
	}

	/** Returns True if the player reached the maximum level (CurrentLevel is the same as NextLevel). */
	public boolean IsMaxLevel()
	{
		return _PLI.isMaxLevel();
	}
}
