package flm.b4a.googleplay;

import anywheresoftware.b4a.BA.ShortName;

import com.google.android.gms.games.PlayerLevel;

@ShortName("GPlayPlayerLevel")
public class PlayerLevelWrapper
{
	protected PlayerLevel _PL = null;

	public PlayerLevelWrapper(PlayerLevel level)
	{
		_PL = level;
	}

	public boolean IsInitialized()
	{
		return _PL != null;
	}

	public boolean Equals(Object obj)
	{
		return _PL.equals(obj);
	}

	/**
	 *Returns the number for this level, e.g. "level 10".
	 *For a player to be considered as being of this level, the value given by GPlayPlayerLevelInfo.CurrentXpTotal must fall in the range MinXP...MaxXP.
	 */
	public int getLevelNumber()
	{
		return _PL.getLevelNumber();
	}

	/** Returns the maximum XP value represented by this level, exclusive. */
	public long getMaxXP()
	{
		return _PL.getMaxXp();
	}

	/** Returns the minimum XP value needed to attain this level, inclusive. */
	public long getMinXP()
	{
		return _PL.getMinXp();
	}
}
