package flm.b4a.googleplay;

import anywheresoftware.b4a.BA.ShortName;

import com.google.android.gms.games.stats.PlayerStats;

@ShortName("GPlayPlayerStats")
public class PlayerStatsWrapper
{
	protected PlayerStats _PS = null;

	public PlayerStatsWrapper(PlayerStats playerStats)
	{
		_PS = playerStats;
	}

	public boolean HasValidData()
	{
		return (_PS != null && _PS.isDataValid());
	}

	/** The default value for each field when there isn't enough data to calculate. */
	public static final float UNSET_VALUE = PlayerStats.UNSET_VALUE;

	/** Returns the average session length of the player in minutes, or UNSET_VALUE. Session length is determined by the time that a player is signed in to Google Play Games services. */
	public float getAverageSessionLength()
	{
		return _PS.getAverageSessionLength();
	}

	/** Returns the approximate probability of the player not returning to play the game (a decimal number between 0 and 1), or UNSET_VALUE. Higher values indicate that a player is less likely to return. */
	public float getChurnProbability()
	{
		return _PS.getChurnProbability();
	}

	/** Returns the approximate number of days since the player last played, or UNSET_VALUE. */
	public int getDaysSinceLastPlayed()
	{
		return _PS.getDaysSinceLastPlayed();
	}

	/** Returns the approximate number of in-app purchases for the player, or UNSET_VALUE. */
	public int getNumberOfPurchases()
	{
		return _PS.getNumberOfPurchases();
	}

	/** Returns the approximate number of sessions of the player, or UNSET_VALUE. Sessions are determined by the number of times that a player signs in to Google Play Games services. */
	public int getNumberOfSessions()
	{
		return _PS.getNumberOfSessions();
	}

	/** Returns the approximation of sessions percentile for the player (a decimal number between 0 and 1), or UNSET_VALUE. This value indicates how many sessions the current player has played in comparison to the rest of this game's player base. Higher numbers indicate that this player has played more sessions. */
	public float getSessionPercentile()
	{
		return _PS.getSessionPercentile();
	}

	/** Returns the approximate spend percentile of the player (a decimal number between 0 and 1), or UNSET_VALUE. This value indicates how much the current player has spent in comparison to the rest of this game's player base. Higher numbers indicate that this player has spent more. */
	public float getSpendPercentile()
	{
		return _PS.getSpendPercentile();
	}

	/** Returns the approximate probability of the player choosing to spend in this game (a decimal number between 0 and 1), or UNSET_VALUE. Higher values indicate that a player is more likely to spend. */
	public float getSpendProbability()
	{
		return _PS.getSpendProbability();
	}
}
