package flm.b4a.googleplay;

import java.io.IOException;

import anywheresoftware.b4a.BA.ShortName;

import com.google.android.gms.games.snapshot.SnapshotContents;

@ShortName("GPlaySnapshotContents")
public class SnapshotContentsWrapper
{
	protected SnapshotContents _SnShC = null;

	public SnapshotContentsWrapper(SnapshotContents snapshot)
	{
		_SnShC = snapshot;
	}

	public boolean IsInitialized()
	{
		return _SnShC != null;
	}

	/**
	 *Writes the specified data into the snapshot. The contents of the snapshot will be replaced with the data provided in Content. The data will be persisted on disk, but is not uploaded to the server until the snapshot is committed via GPlaySnapshots.CommitAndClose.
	 *Note that this function does not necessarily overwrite the entire contents of the file. If you are writing less data than was previously stored in the snapshot, the excess data will remain. Use WriteBytes to fully overwrite the file.
	 *If the snapshot was not opened via GPlaySnapshots.Open, or if the contents have already been committed via GPlaySnapshots.CommitAndClose, this function will throw an exception.
	 *@param DstOffset Position in the snapshot file to start writing data to. 0 indicates the head of the file.
	 *@param Content The data to write.
	 *@param SrcOffset Position in content to start writing from.
	 *@param Count Number of bytes from content to write to this snapshot.
	 */
	public boolean ModifyBytes(int DstOffset, byte[] Content, int SrcOffset, int Count)
	{
		return _SnShC.modifyBytes(DstOffset, Content, SrcOffset, Count);
	}

	/**
	 *Reads the contents of a snapshot.
	 *If this snapshot was not opened via GPlaySnapshots.Open, or if the contents have already been committed via GPlaySnapshots.CommitAndClose, this function will throw an exception. 
	 */
	public byte[] ReadFully() throws IOException
	{
		return _SnShC.readFully();
	}

	/**
	 *Writes the specified data into the snapshot. The contents of the snapshot will be replaced with the data provided in Content. The data will be persisted on disk, but is not uploaded to the server until the snapshot is committed via GPlaySnapshots.CommitAndClose.
	 *Note that this form of the API will fully overwrite the contents of the file. No previous data will be retained. Use ModifyBytes to overwrite parts of the file.
	 *If the snapshot was not opened via GPlaySnapshots.Open, or if the contents have already been committed via GPlaySnapshots.CommitAndClose, this function will throw an exception.
	 *@param Content The data to write.
	 */
	public boolean WriteBytes(byte[] Content)
	{
		return _SnShC.writeBytes(Content);
	}

	/**
	 * Returns whether this snapshot contents has been closed.
	 */
	public boolean IsClosed()
	{
		return _SnShC.isClosed();
	}
}
