package flm.b4a.googleplay;

import android.graphics.Bitmap;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper;

import com.google.android.gms.games.snapshot.SnapshotMetadata;
import com.google.android.gms.games.snapshot.SnapshotMetadataChange;
import com.google.android.gms.games.snapshot.SnapshotMetadataChange.Builder;

@ShortName("GPlaySnapshotMetadataChange")
public class SnapshotMetadataChangeWrapper
{
	protected SnapshotMetadataChange _SMC = null;

	public static final long PLAYED_TIME_UNKNOWN = SnapshotMetadata.PLAYED_TIME_UNKNOWN;
	public static final long PROGRESS_VALUE_UNKNOWN = SnapshotMetadata.PROGRESS_VALUE_UNKNOWN;

	/**
	 * Creates the set of changes to apply to the metadata.
	 * @param CoverImage The bitmap to use for the snapshot's cover image. Can be Null.
	 * @param Description The description of the snapshot.
	 * @param PlayedTimeMillis The played time of the snapshot in milliseconds. Can be set to PLAYED_TIME_UNKNOWN if unknown.
	 * @param ProgressValue The progress value of the snapshot. Can be set to PROGRESS_VALUE_UNKNOWN if unknown.
	 */
	public void Initialize(BitmapWrapper CoverImage, String Description, long PlayedTimeMillis, long ProgressValue)
	{
		Builder builder = new Builder();
		Bitmap Cover = CoverImage.getObjectOrNull();
		if (Cover != null)
			builder.setCoverImage(Cover);
		builder.setDescription(Description)
		.setPlayedTimeMillis(PlayedTimeMillis)
		.setProgressValue(ProgressValue);
		_SMC = builder.build();
	}

	public boolean IsInitialized()
	{
		return _SMC != null;
	}

	//	public BitmapWrapper getCoverImage()
	//	{
	//		Bitmap Cover = _SMC.getCoverImage();
	//		if (Cover == null)
	//			return null;
	//		else {
	//			BitmapWrapper BW = new BitmapWrapper();
	//			BW.setObject(Cover);
	//			return BW;
	//		}
	//	}
	//
	//	public String getDescription()
	//	{
	//		return Utils.StringOrEmpty(_SMC.getDescription());
	//	}
	//
	//	public Long getPlayedTimeMillis()
	//	{
	//		return _SMC.getPlayedTimeMillis();
	//	}
}
