package flm.b4a.googleplay;

import com.google.android.gms.common.api.PendingResult;
import com.google.android.gms.games.Games;
import com.google.android.gms.games.GamesStatusCodes;
import com.google.android.gms.games.stats.Stats.LoadPlayerStatsResult;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.ShortName;

@ShortName("GPlayStats")
public class StatsWrapper
{
	public final static String RESULTMAP_PLAYER_STATS = PendingResultWrapper.RESULTMAP_PLAYER_STATS;
	public final static int STATUS_OK = GamesStatusCodes.STATUS_OK;

	/**
	 * Asynchronously loads the player stats data for the currently signed-in player and game into a single result.
	 * @param ForceReload If True, this call will clear any locally cached data and attempt to fetch the latest data from the server. This would commonly be used for something like a user-initiated refresh. Normally, this should be set to False to gain advantages of data caching.
	 */
	public static PendingResultWrapper LoadCurrentPlayerStats(boolean ForceReload)
	{
		if (GooglePlayConnection.DEBUG) BA.Log("Players.LoadCurrentPlayerStats: ForceReload=" + ForceReload);
		PendingResult<LoadPlayerStatsResult> PR = Games.Stats.loadPlayerStats(GooglePlayConnection.getAPIclient(), ForceReload);
		return new PendingResultWrapper(PR, LoadPlayerStatsResult.class);
	}
}
